package routers

import (
	"fmt"
	"ktogame/controller"

	"github.com/astaxie/beego"
)

func init() {
	beego.Router("/api/Reinput", &controller.UserController{}, "POST:Reinput")
	beego.Router("/api/GetClaimSignature", &controller.UserController{}, "POST:GetClaimSignature")
	beego.Router("/api/SetClaimHash", &controller.UserController{}, "POST:SetClaimHash")
	beego.Router("/api/GetUserInfo", &controller.UserController{}, "POST:GetUserInfo")
	beego.Router("/api/GetTeamList", &controller.UserController{}, "POST:GetTeamList")
	beego.Router("/api/GetPerformance", &controller.UserController{}, "POST:GetPerformance")
	beego.Router("/api/TotalUsers", &controller.UserController{}, "POST:TotalUsers")
	fmt.Println("routers init")
}
